<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->
<nav *ngIf="userName" class="navbar navbar-default navbar-fixed-top masthead overview-navbar" role="banner">
  <div class="container-fluid">
    <div class="navbar-header" (click)="navigateToOverview()">
      <a class="navbar-brand">
        <span class="open">Open</span>
        <span class="konsequenz">KONSEQUENZ</span>
      </a>
    </div>
    <div class="navbar-right" style="display: inline-flex">
      <button type="button" class="btn btn-link navbar-btn" (click)="navigateToOverview()">
        <fa-icon [icon]="FaIcons.faHome"></fa-icon>
      </button>
      <ng-template visibleByRight [onlyForAdmin]="true">
        <button type="button" class="btn btn-link navbar-btn" (click)="navigateToAdminPage()">
          <fa-icon [icon]="FaIcons.faServer"></fa-icon>
        </button>
      </ng-template>
      <a class="btn btn-link navbar-btn" href="./assets/userDocumentation/userDocumentation.html" title="Hilfe" target="_blank">
        <fa-icon [icon]="FaIcons.faQuestionCircle"></fa-icon>
      </a>
      <span class="divider"></span>
      <div class="dropdown nav-user nav-overview-user">
        <a
          class="btn btn-logout dropdown-toggle"
          style="min-width: 160px"
          data-bs-toggle="collapse"
          href="#logoutMenu"
          aria-expanded="false"
          aria-controls="logoutMenu"
        >
          <span>
            <fa-icon [icon]="FaIcons.faUser"></fa-icon>
          </span>
          {{ userName }}
          <span class="caret"></span>
        </a>
        <ul class="collapse dropdown-menu" id="logoutMenu" aria-labelledby="logoutMenu">
          <li><a class="dropdown-item" routerLink="/logout" (click)="logout.emit()">Abmelden</a></li>
        </ul>
      </div>
    </div>
  </div>
  <app-version-info class="version-info-simple"></app-version-info>
</nav>
